Web lists-archives.com

Re: double buffered documentation




On Mon, 2015-08-17 at 01:05 -0400, Igor Korot wrote:
> Hi,
> This page: https://developer.gnome.org/gtk3/stable/GtkWidget.html#gtk-widget-get-double-buffered
> does not say what is the GTK+ version that deprecates the function.
> 
> Could someone shed some light, please?
> 
> Thank you.

It is all said!

>Determines whether the widget is double buffered.

>See gtk_widget_set_double_buffered()

And under

https://developer.gnome.org/gtk3/stable/GtkWidget.html#gtk-widget-set-double-buffered

>gtk_widget_set_double_buffered has been deprecated since version 3.14

And for double_buffering there was recently a thread on this list.

I wonder what you intend?
Put your code full of "if gtk version" like statements to avoid
deprecated warnings? I wonder if that is really the recommended way. And
may I ask what these wxGCC_WARNING_SUPPRESS() is. Sound like wxWidgets,
not GTK, and I can not find much about it with Google.

[your code]
#if GTK_CHECK_VERSION( 3, 10, 0 )
        if( !gtk_check_version( 3, 10, 0 ) )
        {
        GtkIconTheme *theme = gtk_icon_theme_get_default();
        GError *error = NULL;
        GdkPixbuf *pixbuf = gtk_icon_theme_load_icon( theme,
"dialog-error", GTK_ICON_SIZE_DIALOG,
GTK_ICON_LOOKUP_GENERIC_FALLBACK, &error );
        if( !pixbuf )
        {
            g_warning( "Couldn't find the icon" );
        g_error_free( error );
        }
        else
        {
            image = gtk_image_new_from_pixbuf( pixbuf );
        g_object_unref( pixbuf );
        }
//            image = gtk_image_new_from_icon_name( "dialog-error",
GTK_ICON_SIZE_DIALOG );
        }
        else
#endif
        {
            wxGCC_WARNING_SUPPRESS(deprecated-declarations);

_______________________________________________
gtk-list mailing list
gtk-list@xxxxxxxxx
https://mail.gnome.org/mailman/listinfo/gtk-list